function CtrReset(this, channel)
%CTRRESET Reset counter input pulse count.
%   CTRRESET(DEVICE, CHANNEL) resets pulse count of counter input
%   channel CHANNEL. CHANNEL may be a scalar or a vector, in which case
%   multiple channels are reset. Channels are numbered from 1. The counter is
%   started after reset.
%
%   Example - reset pulse count of the first counter input channel of MF624 board
%     dev = HudaqDevice('MF624');
%     CtrReset(dev, 1)
%     Close(dev);
%
%   See also HUDAQDEVICE, CTRREAD.

%   Copyright 2002-2011 HUMUSOFT s.r.o.


% validate device handle
hudaqhandle('Validate', this.H);

% reset counter channels
for i=1:numel(channel)
  hudaqcall('HudaqCtrReset', this.H, int32(channel(i))-1);
end
