function this = HudaqDevice(name, order, options)
%HUDAQDEVICE Create a HUDAQLIB device object.
%   DEV = HUDAQDEVICE(NAME) creates a device object for the first device
%   named NAME. The currently supported device names are 'MF624', 'AD622',
%   'MF614' and 'AD612'.
%
%   DEV = HUDAQDEVICE(NAME, ORDER) allows to specify device order if two
%   devices of the same type are used. Devices are numbered starting with 1.
%
%   DEV = HUDAQDEVICE(NAME, ORDER, OPTIONS) allows to specify device options
%   for devices that need them.
%
%   See also CLOSE.

%   Copyright 2002-2007 HUMUSOFT s.r.o.


% default values for non-present parameters
if nargin <= 2
  options = 0;
  if nargin <= 1
    order = 1;
  end
end

% create the device
this.H = hudaqhandle('Open', name, order, options);
this = class(this, 'HudaqDevice');
