function valuestr = TranslateParameter(this, param, value)
%TRANSLATEPARAMETER Converts parameter value to its symbolic form.
%   TRANSLATEPARAMETER(DEVICE, PARAM, VALUE) converts value of parameter
%   PARAM to its symbolic form. 
%
%   Example - read clock source parameter for the first counter channel
%   of MF624 board in its symbolic form:
%     dev = HudaqDevice('MF624');
%     param = GetParameter(dev, 1, 'HudaqCtrCLOCKSOURCE');
%     TranslateParameter(dev, 'HudaqCtrCLOCKSOURCE', param)
%     Close(dev);
%
%   See also HUDAQDEVICE, GETPARAMETER, SETPARAMETER.

%   Copyright 2002-2007 HUMUSOFT s.r.o.


valuestr = translatesymbol(this, value, param, true);
